CHPASSWD(8)

NOM
chpasswd - Mettre à jour des mots de passe par lot

SYNOPSIS

chpasswd [options]

DESCRIPTION

La commande chpasswd lit une liste de paires de noms d'utilisateurs et de mots de passe depuis l'entrée standard et utilise ces informations pour mettre à jour un groupe d'utilisateurs existants. Chaque ligne est au format suivant :

nom_utilisateur:mot_de_passe

Par défaut, les mots de passe doivent être fournis en clair, et sont chiffrés par chpasswd. L'âge du mot de passe sera également mis à jour, s'il est présent.

Par défaut les mots de passe sont chiffrés par PAM, mais (même si cela est déconseillé) vous pouvez sélectionner une méthode de chiffrement différente avec les options -e, -m ou -c.

Sauf quand PAM est utilisé pour chiffrer les mots de passe,chpasswd modifie d'abord tous les mots de passe en mémoire, puis propage toutes les modifications sur le disque si aucune erreur n'a eu lieu, quelque soit l'utilisateur.

Quand PAM est utilisé pour chiffrer les mots de passe (et pour mettre à jour les mots de passe dans la base de données du système), si aucun mot de passe ne peut être mis à jour, chpasswd continuera la mise à jour des mots de passe pour les utilisateurs suivants, et renverra un code d'erreur en sortie.

Cette commande est destinée aux gros systèmes pour lesquels un nombre importants de comptes sont créés en une seule fois.

OPTIONS

Les options disponibles pour la commande chpasswd sont :

-c, --crypt-methodMÉTHODE
    Utiliser la méthode précisée pour chiffrer les mots de passe.

    Les méthodes disponibles sont DES, MD5, NONE et SHA256 ou SHA512 si votre libc prend en charge ces méthodes.

    Par défaut, PAM est utilisé pour chiffrer les mots de passe.

-e, --encrypted
    Indiquer que les mots de passe fournis sont chiffrés.

-S, --stdout
    Report encrypted passwords to stdout instead of updating password file.

-h, --help
    Afficher un message d'aide et quitter.

-m, --md5
    Permettre d'utiliser le chiffrement MD5, plutôt que DES, lorsque les mots de passe fournis ne sont pas chiffrés.

-R, --root RÉP_CHROOT
    Appliquer les changements dans le répertoire RÉP_CHROOT et utiliser les fichiers de configuration du répertoire RÉP_CHROOT.

-s, --sha-rounds ROUNDS
    Utiliser le nombre de rounds précisé pour chiffrer les mots de passe.

    La valeur 0 signifie que le système choisira la valeur par défaut du nombre de rounds pour la méthode de chiffrement (5 000).

    Une valeur minimale de 1 000 et une valeur maximale de 999 999 999 seront imposées.

    Vous ne pouvez utiliser cette méthode qu'avec les méthodes de chiffrement SHA256 ou SHA512.

    Par défaut, le nombre de rounds est défini par les variables SHA_CRYPT_MIN_ROUNDS et SHA_CRYPT_MAX_ROUNDS dans /etc/login.defs.

AVERTISSEMENTS

Pensez à configurer les permissions ou umask afin d'empêcher la lecture des fichiers non chiffrés par les d'autres utilisateurs.

CONFIGURATION

Les variables de configuration suivantes dans /etc/login.defs modifient le comportement de cet outil :

SHA_CRYPT_MIN_ROUNDS (nombre), SHA_CRYPT_MAX_ROUNDS (nombre)
    Quand ENCRYPT_METHOD est configurée à SHA256 ou SHA512, cela définit le nombre de rounds de SHA utilisés par l'algorithme de chiffrement par défaut (quand le nombre de rounds n'est pas précisé sur la ligne de commande).

    Avec beaucoup de rounds, il est plus difficile de trouver le mot de passe avec une attaque par force brute. Veuillez remarquer que plus de ressources processeur seront nécessaires pour authentifier les utilisateurs.

    Si non précisée, la libc utilisera le nombre de rounds par défaut (5000).

    Les valeurs doivent être comprises dans l'intervalle 1 000 - 999 999 999.

    Si une seule des variables SHA_CRYPT_MIN_ROUNDS ou SHA_CRYPT_MAX_ROUNDS est configurée, alors cette valeur sera utilisée.

    Si SHA_CRYPT_MIN_ROUNDS > SHA_CRYPT_MAX_ROUNDS, la valeur la plus élevée sera utilisée.

    Remarque : cela n'affecte que la création des mots de passe de groupe. La création de mot de passe des utilisateurs est effectuée par PAM en fonction de la configuration de PAM. Il est recommandé de définir cette variable en cohérence avec la configuration de PAM.

FICHIERS

/etc/passwd
    Informations sur les comptes des utilisateurs.

/etc/shadow
    Informations sécurisées sur les comptes utilisateurs.

/etc/login.defs
    Configuration de la suite des mots de passe cachés « shadow password ».

/etc/pam.d/chpasswd
    Configuration de PAM pour chpasswd.

VOIR AUSSI

passwd(1), newusers(8), login.defs(5),useradd(8).